
/* SPECIFY THE SYSTEM MEMORY MAP */
SECTIONS
{
    .rodata : {
        . = ALIGN(0x10);
        pru_imem0_rev1_start = .;
        KEEP(*(PRU0_REV1_IMEM))
        pru_imem0_rev1_end = .;
    } > EXT_RAM
    .rodata : {
        . = ALIGN(0x10);
        pru_dmem0_rev1_start = .;
        KEEP (*(PRU0_REV1_DMEM))
        pru_dmem0_rev1_end = .;
    } > EXT_RAM
    .rodata : {
        KEEP (*(PRU0_REV1_EXT))
    } > EXT_RAM
    .rodata : {
        . = ALIGN(0x10);
        pru_imem1_rev1_start = .;
        KEEP (*(PRU1_REV1_IMEM))
        pru_imem1_rev1_end = .;
    } > EXT_RAM
    .rodata : {
        . = ALIGN(0x10);
        pru_dmem1_rev1_start = .;
        KEEP (*(PRU1_REV1_DMEM))
        pru_dmem1_rev1_end = .;
    } > EXT_RAM
    .rodata : {
        KEEP (*(PRU1_REV1_EXT))
    } > EXT_RAM
}
